
 LinHES - Feature # 742: Addition of ck's patchset with brain fuck scheduler to kernel

Status: Closed Priority: Normal
Author: graysky Category: Kernel
Created: 12/22/2010 Assignee: cecil
Updated: 01/11/2011 Due date: 01/10/2011
Description: The addition of Con Kolivas' brain fuck scheduler to LH's kernel will benefit users who transcode on their LH 

boxes.  I have been been running it on my own systems for months.  See the PKGBUILD I adapted for it in the 
AUR:

http://aur.archlinux.org/packages.php?ID=32877
http://ck-hack.blogspot.com

History
12/22/2010 06:54 am - jams
Do you know when it's scheduled to go into the mainline kernel?

12/22/2010 07:28 am - graysky
It will likely never get mainlined... and that's how CK likes it :)

12/23/2010 11:46 pm - graysky
@jams - See the most recent entry blog entry on CK's website.  Very interesting video that explains queuing theory and why bfs will be faster than 
mainline's scheduler.

http://ck-hack.blogspot.com/2010/12/queuing-theory-and-bfs.html

I would be glad to help with the packaging of it since I already maintain the kernel26-ck package in the AUR.  
http://aur.archlinux.org/packages.php?ID=32877

12/24/2010 06:39 am - jams
- Target version set to 7.1

- Due date set to 01/10/2011

This should be in place for R7

01/10/2011 06:52 pm - cecil
- % Done changed from 0 to 10

- Estimated time set to 10.00

- Assignee set to cecil

- Category set to Kernel

01/11/2011 08:36 pm - cecil
- % Done changed from 10 to 80
01/11/2011 10:10 pm - cecil
- % Done changed from 80 to 100

- Status changed from New to Closed
